import { IIconStyles, ILinkStyles, IModalStyles, IStackItemStyles, IStackStyles, ITextStyles, Theme } from "@fluentui/react";
import { CustomTheme } from "../../appTheme";
export declare function getSettingsDialogModalStyle(): Partial<IModalStyles>;
export declare function getMainStackStyle(): IStackStyles;
export declare function getSettingsDialogMainHeaderStackStyle(): IStackStyles;
export declare function getCPRAIconStyle(theme: Theme & CustomTheme): {
    backgroundImage: string;
    backgroundPosition: string;
    backgroundRepeat: string;
    cursor: string;
    display: string;
    height: string;
    marginLeft: string;
    width: string;
};
export declare function getCPRATextContainerStyle(theme: Theme & CustomTheme): {
    root: {
        alignItems: string;
        alignSelf: string;
        display: string;
    };
};
export declare function getBulletIconStyle(theme: Theme & CustomTheme): IIconStyles;
export declare function getEditIconStyle(theme: Theme & CustomTheme): IIconStyles;
export declare function getDescriptionStackStyle(them: Theme & CustomTheme): IStackStyles;
export declare function getDescriptionTextStyle(theme: Theme & CustomTheme): ITextStyles;
export declare function getSettingsHeadersTextStyle(): ITextStyles;
export declare function getSubtleLinkStyle(theme: Theme & CustomTheme): ITextStyles;
export declare function getLinkStyle(): ILinkStyles;
export declare function getSettingsToggleStyle(): IStackStyles;
export declare function getSettingTextAreaStackStyle(): IStackStyles;
export declare function getSettingsToggleStackStyle(theme: Theme & CustomTheme): Partial<IStackStyles>;
export declare function getTitleStyles(): Partial<IStackItemStyles>;
